Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class Scope

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
              org.apache.ode.bpel.compiler.bom.Scope

All Implemented Interfaces:
  SourceLocation

Direct Known Subclasses:
  Catch, Process

    public class Scope

extends JoinFailureSuppressor

Base-class for BPEL scope-like constructs. The term "scope-like construct" encompasses those structures that have the potential to declare either variables, event handlers, fault handlers, or compensation handlers. These scope like constructs include the scope activity, event handlers, the invoke activity, etc...

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`JoinFailureSuppressor.SuppressJoinFailure`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`Scope(org.w3c.dom.Element el)`

Method Summary
`java.util.List<OnAlarm>` | `getAlarms()` Get an array of `OnAlarmEventHandler`s for this scope.
`java.lang.Boolean` | `getAtomicScope()`
`CompensationHandler` | `getCompensationHandler()` Get the compensation handler for this scope.
`CorrelationSet` | `getCorrelationSetDecl(java.lang.String setName)` Get a correlation set decleration.
`java.util.List<CorrelationSet>` | `getCorrelationSetDecls()` Get correlation sets for this scope.
`java.util.List<OnEvent>` | `getEvents()`
`FaultHandler` | `getFaultHandler()` Get the fault handler for this scope.
`PartnerLink` | `getPartnerLink(java.lang.String partnerLinkName)` Get a partnerLink declared in this scope.
`java.util.List<PartnerLink>` | `getPartnerLinks()` Get all partnerLinks delcared in this scope.
`TerminationHandler` | `getTerminationHandler()` Gets the termination handler for this scope.
`Variable` | `getVariableDecl(java.lang.String varName)` DOCUMENTME
`java.util.List<Variable>` | `getVariables()`
`boolean` | `isVariableAccessSerialized()`

Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`getSuppressJoinFailure`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Scope

    public Scope(org.w3c.dom.Element el)

Method Detail

### getCompensationHandler

    public CompensationHandler getCompensationHandler()

  Get the compensation handler for this scope.

  Returns:
    the compensation handler

### getTerminationHandler

    public TerminationHandler getTerminationHandler()

  Gets the termination handler for this scope.

  Returns:
    terminationHandler

### getFaultHandler

    public FaultHandler getFaultHandler()

  Get the fault handler for this scope.

  Returns:
    the fault handler

### getCorrelationSetDecls

    public java.util.List<CorrelationSet> getCorrelationSetDecls()

  Get correlation sets for this scope.

  Returns:
    correlation sets for this scope.

### getCorrelationSetDecl

    public CorrelationSet getCorrelationSetDecl(java.lang.String setName)

  Get a correlation set decleration.

  Parameters:
    `setName` - name of correlation set
  Returns:
    `CorrelationSet` of the fiven name.

### getVariableDecl

    public Variable getVariableDecl(java.lang.String varName)

  DOCUMENTME

  Parameters:
    `varName` - DOCUMENTME
  Returns:
    DOCUMENTME

### getVariables

    public java.util.List<Variable> getVariables()

### getAlarms

    public java.util.List<OnAlarm> getAlarms()

  Get an array of `OnAlarmEventHandler`s for this scope.

  Returns:
    the `OnAlarmEventHandler`s

### getEvents

    public java.util.List<OnEvent> getEvents()

### isVariableAccessSerialized

    public boolean isVariableAccessSerialized()

### getAtomicScope

    public java.lang.Boolean getAtomicScope()

### getPartnerLink

    public PartnerLink getPartnerLink(java.lang.String partnerLinkName)

  Get a partnerLink declared in this scope.

  Parameters:
    `partnerLinkName` - name of partner link

### getPartnerLinks

    public java.util.List<PartnerLink> getPartnerLinks()

  Get all partnerLinks delcared in this scope.

  Returns:
    set of declared `PartnerLink`s.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD